#include <iostream>
#include <fstream>
#include <cmath>
#include <iomanip>

using namespace std;

bool kt(int a, int b, int c)
{
    return (a+b>c && b+c>a && c+a>b) ;
}

float stri(int a, int b, int c)
{
    float p = float((a+b+c)/2),s;
    s = sqrt(p*(p-a)*(p-b)*(p-c));
    return s;
}
main ()
{
    ifstream fi("tamgiac.inp");
    ofstream fo("tamgiac.out");
    int x,y,z;
    fi >> x >> y >> z;
    if (kt(x,y,z))
    {
        fo << "YES" << endl;
        float kq = stri(x,y,z);
        fo <<  setprecision(2) << fixed << kq << endl;
    }
    else fo << "NO";
	return 0;
}
